# Uses of Interface
org.springframework.beans.factory.config.Scope

Packages that use Scope
Package
Description
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of Scope in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config that return Scope
Modifier and Type
Method
Description
`Scope`
ConfigurableBeanFactory.`getRegisteredScope(String scopeName)`
Return the Scope implementation for the given scope name, if any.
`final Scope`
BeanExpressionContext.`getScope()`
Methods in org.springframework.beans.factory.config with parameters of type Scope
Modifier and Type
Method
Description
`void`
CustomScopeConfigurer.`addScope(String scopeName, Scope scope)`
Add the given scope to this configurer's map of scopes.
`void`
ConfigurableBeanFactory.`registerScope(String scopeName, Scope scope)`
Register the given scope, backed by the given Scope implementation.
Constructors in org.springframework.beans.factory.config with parameters of type Scope
Modifier
Constructor
Description
``
`BeanExpressionContext(ConfigurableBeanFactory beanFactory, Scope scope)`

## Uses of Scope in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return Scope
Modifier and Type
Method
Description
`Scope`
AbstractBeanFactory.`getRegisteredScope(String scopeName)`
Methods in org.springframework.beans.factory.support with parameters of type Scope
Modifier and Type
Method
Description
`void`
AbstractBeanFactory.`registerScope(String scopeName, Scope scope)`